Loading...
Searching...
No Matches
juce::ARARegionSequenceListener Class Reference

## Detailed Description

A base class for listeners that want to know about changes to an ARARegionSequence object.

Use ARARegionSequence::addListener() to register your listener with an ARARegionSequence.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_ARAModelObjects.h

Inheritance diagram for juce::ARARegionSequenceListener:

## Public Member Functions

virtual | ~ARARegionSequenceListener ()=default
| Destructor.
virtual void | willUpdateRegionSequenceProperties (ARARegionSequence *regionSequence, ARA::PlugIn::PropertiesPtr< ARA::ARARegionSequenceProperties > newProperties)
| Called before the region sequence's properties are updated.
virtual void | didUpdateRegionSequenceProperties (ARARegionSequence *regionSequence)
| Called after the region sequence's properties are updated.
virtual void | willRemovePlaybackRegionFromRegionSequence (ARARegionSequence *regionSequence, ARAPlaybackRegion *playbackRegion)
| Called before a playback region is removed from the region sequence.
virtual void | didAddPlaybackRegionToRegionSequence (ARARegionSequence *regionSequence, ARAPlaybackRegion *playbackRegion)
| Called after a playback region is added to the region sequence.
virtual void | willDestroyRegionSequence (ARARegionSequence *regionSequence)
| Called before the region sequence is destroyed.

## Constructors and Destructors

## ~ARARegionSequenceListener()

virtual juce::ARARegionSequenceListener::~ARARegionSequenceListener | ( |  | ) |

virtual default

Destructor.

## Member Functions

## willUpdateRegionSequenceProperties()

virtual void juce::ARARegionSequenceListener::willUpdateRegionSequenceProperties | ( | ARARegionSequence * | regionSequence,
|  | ARA::PlugIn::PropertiesPtr< ARA::ARARegionSequenceProperties > | newProperties )

virtual

Called before the region sequence's properties are updated.

Parameters

  regionSequence | The region sequence whose properties will be updated.
  newProperties | The region sequence properties that will be assigned to `regionSequence`.

## didUpdateRegionSequenceProperties()

virtual void juce::ARARegionSequenceListener::didUpdateRegionSequenceProperties | ( | ARARegionSequence * | regionSequence | ) |

virtual

Called after the region sequence's properties are updated.

Parameters

  regionSequence | The region sequence whose properties were updated.

## willRemovePlaybackRegionFromRegionSequence()

virtual void juce::ARARegionSequenceListener::willRemovePlaybackRegionFromRegionSequence | ( | ARARegionSequence * | regionSequence,
|  | ARAPlaybackRegion * | playbackRegion )

virtual

Called before a playback region is removed from the region sequence.

Parameters

  regionSequence | The region sequence that `playbackRegion` will be removed from.
  playbackRegion | The playback region that will be removed from `regionSequence`.

## didAddPlaybackRegionToRegionSequence()

virtual void juce::ARARegionSequenceListener::didAddPlaybackRegionToRegionSequence | ( | ARARegionSequence * | regionSequence,
|  | ARAPlaybackRegion * | playbackRegion )

virtual

Called after a playback region is added to the region sequence.

Parameters

  regionSequence | The region sequence that `playbackRegion` was added to.
  playbackRegion | The playback region that was added to `regionSequence`.

## willDestroyRegionSequence()

virtual void juce::ARARegionSequenceListener::willDestroyRegionSequence | ( | ARARegionSequence * | regionSequence | ) |

virtual

Called before the region sequence is destroyed.

Parameters

  regionSequence | The region sequence that will be destroyed.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited